Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACA

LTB-473

Department: SUPPORT Affected Products: ADTF 2.13.2, ADTF Calibration Toolbox

2.7.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: CalibrationTB::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

wir haben einen Kunden mit folgendem Problem:

der Demo ECU Processor aus den Beispielen der Calibration Toolbox

wird mit folgendem Fehler nicht geladen:"The class 'adtf.ecu_processor.demo' can not be loaded : Interface not supported"

 Ich kann das Problem hier mit ADTF 2.14 und Calibration Toolbox 2.8.0 nachvollziehen.

Was kann der Grund sein?

Danke und Grüße,

Anja

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

Lösung

ACALTB-473 angelegt

Ebenso FAQ Eintrag -> Q: Demo ECU Processor could not be loaded - Interface not supported

Related issues:

Has duplicate Public Support - Support Request #4092: Could not load Demo Ecu... Closed

History

#1 - 2018-04-30 08:38 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to CalibrationTB::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.13.2, ADTF Calibration Toolbox 2.7.0 added

- Platform Windows 7 64bit added

#2 - 2018-04-30 10:20 - hidden

Hallo Anja,

kann ich nachvollziehen...
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported


@Martin: Hast du eine Idee woran das liegt ? Build klappt prima aber geladen wird nichts, auch nicht in 2.12.0

#3 - 2018-05-03 09:51 - hidden

Da fehlt im Header

UCOM_EXPORT_INTERFACE_CAST(IID_ADTF_ECU_PROCESSOR, IEcuProcessor)

Also der Block sollte so aussehen

UCOM_OBJECT_BEGIN(OID_DEMO_PROCESSOR, "Demo Processor")

    UCOM_EXPORT_INTERFACE_CAST(IID_ADTF_ECU_PROCESSOR, IEcuProcessor)

    UCOM_EXPORT_INTERFACE(IID_ADTF_ECU_PROCESSOR, IEcuProcessor)

    UCOM_EXPORT_INTERFACE(IID_ADTF_CONFIGURATION, IConfiguration)

UCOM_OBJECT_END()

 Ohne das exportiert er das IObject Interface nicht richtig und die Runtime kann dann keine Instanz erstellen.

#4 - 2018-05-03 11:30 - hidden

Hallo Florian,

danke. Für die Info. Übernehmt ihr dann die nötige Änderung in den Beispielcode der Calibration Toolbox?

Viele Grüße,

Anja

#5 - 2018-05-03 13:17 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACALTB-473

- Support Level changed from 2nd Level to 3rd Level

Hallo Anja,

ja, ich habe dazu ein Ticket angelegt -> ACALTB-473

Allerdings ist das wohl kein Grund für eine neue Calibration TB und daher eher ein Known Problem.

Deshalb habe ich einen FAQ EIntrag angelegt -> Q: Demo ECU Processor could not be loaded - Interface not supported

Wenn du keine Anmerkungen mehr hast, werde ich das Ticket morgen schließen.

#6 - 2018-05-04 12:00 - hidden

Hallo Florian,

danke, das passt so.

Grüße,

Anja

#7 - 2018-05-04 12:14 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2018-05-04 12:14 - hidden

- Subject changed from ADTFS-48801 CalibrationToolbox - Demo ECU Processor wird nicht geladen to ADTFS-48801 Demo ECU Processor could

not be loaded - Interface not supported

- Status changed from To Be Closed to Closed

#10 - 2018-09-12 17:45 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Demo-ECU-Processor-could-not-be-loaded-Interface-not-supported


#11 - 2018-09-12 17:45 - hidden

- Has duplicate Support Request #4092: Could not load Demo Ecu Processor added
